Package com.enonic.xp.node

## Class FindNodesByParentParams.Builder

- java.lang.Object
- - com.enonic.xp.node.FindNodesByParentParams.Builder

- Enclosing class:
    FindNodesByParentParams

      public static final class FindNodesByParentParams.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FindNodesByParentParams` | `build()` |
    `FindNodesByParentParams.Builder` | `childOrder​(ChildOrder childOrder)` |
    `FindNodesByParentParams.Builder` | `countOnly​(boolean countOnly)` |
    `FindNodesByParentParams.Builder` | `from​(Integer from)` |
    `FindNodesByParentParams.Builder` | `parentId​(NodeId parentId)` |
    `FindNodesByParentParams.Builder` | `parentPath​(NodePath parentPath)` |
    `FindNodesByParentParams.Builder` | `queryFilters​(Filters queryFilters)` |
    `FindNodesByParentParams.Builder` | `recursive​(boolean recursive)` |
    `FindNodesByParentParams.Builder` | `size​(Integer size)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### parentPath

          public FindNodesByParentParams.Builder parentPath​(NodePath parentPath)

    - #### parentId

          public FindNodesByParentParams.Builder parentId​(NodeId parentId)

    - #### queryFilters

          public FindNodesByParentParams.Builder queryFilters​(Filters queryFilters)

    - #### size

          public FindNodesByParentParams.Builder size​(Integer size)

    - #### from

          public FindNodesByParentParams.Builder from​(Integer from)

    - #### childOrder

          public FindNodesByParentParams.Builder childOrder​(ChildOrder childOrder)

    - #### countOnly

          public FindNodesByParentParams.Builder countOnly​(boolean countOnly)

    - #### recursive

          public FindNodesByParentParams.Builder recursive​(boolean recursive)

    - #### build

          public FindNodesByParentParams build()